package com.tencent.mm.modelvoice;

import android.content.Context;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.audio.b.i;
import com.tencent.mm.pluginsdk.cmd.a;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;

class m$a implements a {
    m$a() {
    }

    public final boolean a(Context context, String[] strArr, String str) {
        AppMethodBeat.i(116596);
        String str2 = strArr[0];
        int i = -1;
        switch (str2.hashCode()) {
            case -1560895490:
                if (str2.equals("//voicetrymore")) {
                    i = 0;
                    break;
                }
                break;
        }
        switch (i) {
            case 0:
                if (strArr.length > 1 && strArr[1] != null) {
                    boolean z;
                    if (bo.getInt(strArr[1], 1) == 1) {
                        z = true;
                    } else {
                        z = false;
                    }
                    i.cqY = z;
                    ab.i("MicroMsg.SubCoreVoice", "summervoicetrymore enable[%d]", new Object[]{Integer.valueOf(r3)});
                    AppMethodBeat.o(116596);
                    return true;
                }
        }
        AppMethodBeat.o(116596);
        return false;
    }
}
